from mqtt import Publisher
from sunways import Datasource
from datetime import datetime

publisher = Publisher("192.168.178.34", 1883, "sunways_pv", "sunways_pv", "sunways!#PW", "pv/sunways/")
datasource = Datasource(True)

now = datetime.now()

inverter_address = 2
online_values = datasource.get_online_values(inverter_address)
if online_values:
    for k,v in online_values.items():
        publisher.send_single_value(k, v, "west")
    publisher.send_single_value("timestamp", str(now), "west")
    print(f"-------------- Data 2 logged at {str(now)}--------------")
    print(f"Data: {online_values}")
